@echo off
set LOGFILE=setup-log.txt
call :LOG > %LOGFILE%
exit /B

:LOG
python --version
if NOT %ERRORLEVEL% == 0 goto :no_python
pip install PyQt5==5.15.2
if NOT %ERRORLEVEL% == 0 goto :no_deps
pip install python-magic-bin==0.4.14
if NOT %ERRORLEVEL% == 0 goto :no_deps
pip install certifi==2020.12.5
if NOT %ERRORLEVEL% == 0 goto :no_deps
goto :ok

:no_python
echo msgbox "Please install python first." > %tmp%\no_python.vbs
wscript %tmp%\no_python.vbs
del %tmp%\no_python.vbs
goto :end

:no_deps
echo msgbox "Could not install python libraries!" > %tmp%\deps.vbs
wscript %tmp%\deps.vbs
del %tmp%\deps.vbs
goto :end

:ok
echo msgbox "Dependencies installed ok!" > %tmp%\ok.vbs
wscript %tmp%\ok.vbs
del %tmp%\ok.vbs

:end